package com.register.jaxb;

import javax.xml.bind.*;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;

public class JavaToXML {
	public void marshalXMLDocument(File xmlDocument) {
		try {

			JAXBContext jaxbContext = JAXBContext.newInstance(Catalog.class);

			Marshaller marshaller = jaxbContext.createMarshaller();

			marshaller.setProperty("jaxb.formatted.output", new Boolean(true));

			Catalog catalog = new Catalog();

			catalog.setJournal("Java Technology");
			catalog.setPublisher("IBM developerWorks");

			catalog.setEdition("January-2006");
			catalog.setTitle("Managing XML data: Tag URIs");
			catalog.setAuthor("Elliotte Harold");

			marshaller.marshal(catalog, new FileOutputStream(xmlDocument));

		} catch (IOException e) {
			System.out.println(e.toString());

		} catch (PropertyException e) {
			System.out.println(e.toString());

		} catch (JAXBException e) {
			System.out.println(e.toString());

		}

	}

	public static void main(String[] argv) {
		String xmlDocument = "catalog.xml";
		JavaToXML javaToXML = new JavaToXML();
		javaToXML.marshalXMLDocument(new File(xmlDocument));
	}
}
